Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.content.dataentrytemplate
Interface IDataEntryTemplateManager

public interface IDataEntryTemplateManager

`IDataEntryTemplateManager` is an interface for managing `IDataEntryTemplate`s. It handles Data Entry Template creation, removal, and retrieval.

A newly-created Data Entry Template or any property modification to an existing Data Entry Template will not be permanently stored until `IDataEntryTemplate.store` is called.

Refer to the Administrator Guide for Content Server for additional details on Data Entry Template functionality.

Method Summary
`IDataEntryTemplate` | `createDataEntryTemplate(IFolder containingFolder, java.lang.String name)` Creates a new `IDataEntryTemplate`.
`IDataEntryTemplate` | `getDataEntryTemplate(IFolder folder, java.lang.String name)` Retrieves an `IDataEntryTemplate` in a folder by its name.
`IDataEntryTemplate` | `getDataEntryTemplate(java.lang.String uuid)` Returns an `IDataEntryTemplate` by its UUID.
`IDataEntryTemplate[]` | `getDataEntryTemplates(IFolder folder)` Returns all `IDataEntryTemplate`s contained in a given `IFolder`.
`void` | `removeDataEntryTemplate(IDataEntryTemplate dataEntryTemplate)` Deletes the `IDataEntryTemplate`.

Method Detail

### createDataEntryTemplate

    public IDataEntryTemplate createDataEntryTemplate(IFolder containingFolder,
                                                      java.lang.String name)

  Creates a new `IDataEntryTemplate`. This method does not create a persistent object. To properly define a Data Entry Template use this method to create a new template and add one or more properties to the template using `IDataEntryTemplate.addProperty`. Any sub-type of `IBaseProperty` can be added. When you are finished use `IDataEntryTemplate.store` to persist the Data Entry Template.

  An `IllegalStateException` will be thrown if the containing folder has not been stored.

  Parameters:
    `containingFolder` - the folder the Data Entry Template will be created in; cannot be `null`.
    `name` - name of the template. The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace when it is stored and is case-insensitive during name comparison.
  Returns:
    an `IDataEntryTemplate` that has not been persisted yet. Call `IDataEntryTemplate.`store to persist the template.
  Throws:
    `java.lang.IllegalStateException` - if specified folder has not yet been stored or has already been removed.
    `java.lang.IllegalArgumentException` - if the name is an empty string or longer than 255 characters.

### getDataEntryTemplate

    public IDataEntryTemplate getDataEntryTemplate(IFolder folder,
                                                   java.lang.String name)
                                            throws ContentSecurityException,
                                                   ContentException,
                                                   java.rmi.RemoteException

  Retrieves an `IDataEntryTemplate` in a folder by its name. The specified name is the full name of the Data Entry Template. The `name` will be trimmed of leading and trailing whitespace and is case-insensitive for comparison. The `name` does not support wildcards.

       // Assuming a dataEntryTemplate is persisted in containingFolder
       // Retrieve the Data Entry Template by name
       IDataEntryTemplate sameDataEntryTemplate = dataEntryTemplateManager.getDataEntryTemplate(containingFolder, dataEntryTemplate.getName());
       // sameDataEntryTemplate.getUUID() is the same as dataEntryTemplate.GetUUID()

  Parameters:
    `folder` - the folder containing the `IDataEntryTemplate`; cannot be `null`.
    `name` - name of the `IDataEntryTemplate`. The name cannot be `null`, empty, or longer than 255 characters. The string used for the name will be trimmed of leading and trailing whitespace and is case-insensitive during comparison.
  Returns:
    the `IDataEntryTemplate` in the folder with the specified name; otherwise `null`.
  Throws:
    `ContentException` - if the method call resulted in a Content Server exception.
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call.
    `java.lang.IllegalStateException` - if the folder has not yet been stored or has already been removed.
    `ContentSecurityException` - if the user does not have permission to access the folder.
    `java.lang.IllegalArgumentException` - if the name is an empty string or longer than 255 characters.

### getDataEntryTemplate

    public IDataEntryTemplate getDataEntryTemplate(java.lang.String uuid)
                                            throws ContentSecurityException,
                                                   ContentException,
                                                   java.rmi.RemoteException

  Returns an `IDataEntryTemplate` by its UUID.

  Parameters:
    `uuid` - the `IDataEntryTemplate` UUID. The UUID of an object can be obtained using the `getUUID` method in the `IDataEntryTemplate` class; cannot be `null`, empty or longer than 255 characters.
  Returns:
    the `IDataEntryTemplate` or `null` if the template does not exist.
  Throws:
    `java.lang.IllegalArgumentException` - if the UUID is an empty string or longer than 255 characters.
    `ContentSecurityException` - if the user does not have permission to access the Data Entry Template.
    `ContentException` - if the method call resulted in a Content Server exception.
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call.

### getDataEntryTemplates

    public IDataEntryTemplate[] getDataEntryTemplates(IFolder folder)
                                               throws ContentSecurityException,
                                                      ContentException,
                                                      java.rmi.RemoteException

  Returns all `IDataEntryTemplate`s contained in a given `IFolder`.

  Parameters:
    `folder` - the folder to retrieve Data Entry Templates from; cannot be `null`.
  Returns:
    an array of `IDataEntryTemplate`s in the specified folder. The returned array is not ordered.
  Throws:
    `ContentException` - if the method call resulted in a Content Server exception.
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call.
    `java.lang.IllegalStateException` - if the folder has not yet been stored or has already been removed.
    `ContentSecurityException` - if the user does not have permission to access the folder.

### removeDataEntryTemplate

    public void removeDataEntryTemplate(IDataEntryTemplate dataEntryTemplate)
                                 throws ContentSecurityException,
                                        ContentException,
                                        java.rmi.RemoteException

  Deletes the `IDataEntryTemplate`. Note: All the associated content items will be deleted if the underlying Data Entry Template is deleted.

  Parameters:
    `dataEntryTemplate` - the Data Entry Template to be deleted; cannot be `null`.
  Throws:
    `ContentSecurityException` - if the user does not have permission to delete the Data Entry Template.
    `ContentException` - if the method call resulted in a Content Server exception.
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.